features:
  secondary:
  - name: "Lock latest pipeline artifact to prevent deletion"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/README.html#artifactsexpire_in'
    reporter: jheimbuck_gl
    stage: verify
    categories:
    - Continuous Integration (CI)
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/321323'
    description: |
      GitLab now automatically locks the latest artifact produced from a successful pipeline on any active branch, merge request, or tag to prevent it from being deleted based on expiration if it is still the most recent artifact. 

      This makes it easier to set a more aggressive expiration policy to clean up older artifacts, helps reduce disk space consumption, and ensures you have always got a copy of the latest artifact from your pipeline. 

      Pipeline artifacts, such as those used by the [test coverage visualization feature](https://docs.gitlab.com/ee/user/project/merge_requests/test_coverage_visualization.html), are not explicitly managed by the `.gitlab-ci.yml` definitions.
